#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - pthread-stubs-dev preinstallation
#
# Creation   :  2015-05-10 holbru
# Last update:  $Id: preinstall.sh 37593 2015-05-10 12:10:30Z hbfl $
#
# Copyright (c) 2015-2021 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=pthread-stubs-dev

# ---------------------------------------------------------------------------
# delete old scripts
# ---------------------------------------------------------------------------
# switch from libpthread-stubs-dev to new name pthread-stubs-dev 
# with eisfair package version 2.6.0
deinstall_file=/var/install/deinstall/libpthread-stubs-dev

if [ -f "${deinstall_file}" ]
then
    /var/install/bin/del-package --update libpthread-stubs-dev
fi

package_file=/var/install/packages/${package_name}

if [ -f "${package_file}" ]
then
    /var/install/bin/del-package -p ${package_name} --update
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
